Skip to main content
POST
/
api
/
template
/
content
Creates a new content template.
curl --request POST \
  --url https://{tenant}.ekso.app/api/template/content \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "name": "<string>",
  "description": "<string>",
  "owner": 123,
  "isSystem": true,
  "variant": [
    {
      "locale": "<string>",
      "text": "<string>"
    }
  ],
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The content template to create.

entity
null | string
name
string
description
string
owner
integer
isSystem
boolean
variant
object[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Content template created successfully.